org.keycloak.adapters.tomcat7

## Class SimpleGroup

- java.lang.Object
- - org.keycloak.adapters.tomcat7.SimplePrincipal
  - - org.keycloak.adapters.tomcat7.SimpleGroup

- All Implemented Interfaces:
    Serializable, Group, Principal

      public class SimpleGroup
      extends SimplePrincipal
      implements Group

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGroup(String name)` Creates a new group with the given name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addMember(Principal user)`
    `boolean` | `isMember(Principal member)`
    `Enumeration<? extends Principal>` | `members()`
    `boolean` | `removeMember(Principal user)`
    `String` | `toString()`

    - ### Methods inherited from class org.keycloak.adapters.tomcat7.SimplePrincipal

      `equals, getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, getName, hashCode`

- - ### Constructor Detail

    - #### SimpleGroup

          public SimpleGroup(String name)

      Creates a new group with the given name.
      Parameters:
        `name` - Group name.

  - ### Method Detail

    - #### addMember

          public boolean addMember(Principal user)

      Specified by:
        `addMember` in interface `Group`

    - #### isMember

          public boolean isMember(Principal member)

      Specified by:
        `isMember` in interface `Group`

    - #### members

          public Enumeration<? extends Principal> members()

      Specified by:
        `members` in interface `Group`

    - #### removeMember

          public boolean removeMember(Principal user)

      Specified by:
        `removeMember` in interface `Group`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `SimplePrincipal`

Copyright © 2014. All Rights Reserved.